package config

import "flag"

const (
	FlagConfigDirName         = "config-dir"
	FlagLogConfigFilePathName = "log-config-path"
	FlagPidFilePathName       = "pid-path"
)

func FlagConfigDir(defaultValue string) *string {
	return flag.String(FlagConfigDirName, defaultValue, "The directory path of config")
}

func FlagLogConfigFilePath(defaultValue string) *string {
	return flag.String(FlagLogConfigFilePathName, defaultValue, "The file path of logging config")
}

func FlagPidFilePath(defaultValue string) *string {
	return flag.String(FlagPidFilePathName, defaultValue, "The file path of pid")
}
